#version 430 core

layout(location=1) in vec3 position;

uniform vec3 minPoint;
uniform vec3 maxPoint;

uniform mat4 viewProjectionMatrix;

void main(void)
{
	vec3 worldPosition = minPoint + (maxPoint-minPoint)*position;
	gl_Position = viewProjectionMatrix * vec4(worldPosition, 1.f);
}