#version 430 core

layout(location=1) in vec4 position;

uniform mat4 worldView;
uniform mat4 projection;

out vec3 vf_viewPosition;

void main(void)
{
	vf_viewPosition = (worldView * vec4(position.xyz, 1.f)).xyz;
	gl_Position = projection * vec4(vf_viewPosition, 1.f);
}