#version 330 core

layout(triangles) in;
layout(triangle_strip, max_vertices = 12) out;


uniform mat4 viewProjection[4];
uniform int numLayers = 1;

void main(void)
{
	for (int i=0;i<numLayers;i++)
	{
		gl_Layer = i;

		gl_Position = viewProjection[i] * gl_in[0].gl_Position;
		EmitVertex();

		gl_Position = viewProjection[i] * gl_in[1].gl_Position;
		EmitVertex();

		gl_Position = viewProjection[i] * gl_in[2].gl_Position;
		EmitVertex();

		EndPrimitive();
	}
	
}