#version 430 core

layout(location=1) in vec3 position;

uniform vec3 originToLbn;
uniform vec3 lbnToRbn;
uniform vec3 lbnToLtn;

out vec3 vf_position;

void main(void)
{
	vec2 pos01 = position.xy*0.5f+0.5f;
	vf_position = originToLbn + pos01.x*lbnToRbn + pos01.y*lbnToLtn;
	gl_Position = vec4(position.xy,0.9999999f,1.0);
}