#version 430 core

uniform float weights[%num_maps%];
uniform samplerCube cubeMaps[%num_maps%];

in vec3 gf_texCoords;

layout(location=0) out vec3 outColor;

void main(void)
{
	vec3 result = vec3(0.f);
	for (int i=0; i<%num_maps%; i++)
	{
		result += weights[i] * texture(cubeMaps[i], gf_texCoords).xyz;
	}
	outColor = result;
}