#version 430 core

layout(location=1) in vec3 position;
layout(location=4) in vec3 color;

uniform mat4 worldViewProjectionMatrix;

out vec3 vf_color;

void main(void)
{
	gl_Position = worldViewProjectionMatrix * vec4(position, 1.f);
	vf_color = color;
}