#version 430 core

layout(triangles, invocations = %num_invocations%) in;
layout(triangle_strip, max_vertices = 3) out;

uniform mat4 viewProjectionMatrix[%num_invocations%];

void main(void)
{
	gl_Layer = gl_InvocationID;

	for (int i=0;i<3;i++)
	{
		gl_Position = viewProjectionMatrix[gl_InvocationID] * gl_in[i].gl_Position;
		EmitVertex();
	}

	EndPrimitive();
}

