#version 430

//Images and mipmap levels
layout(binding=0,rgba16f) uniform image2D inOut_fullSize;

uniform ivec2 imageBounds;

ivec2 clampLocation(ivec2 xy){
    return clamp(xy,ivec2(0,0),imageBounds.xy);
}

layout (local_size_x = 16, local_size_y = 16) in;

void main() {
	const ivec2 global_xy = ivec2(gl_GlobalInvocationID);
	const ivec2 pixel_xy = clampLocation(global_xy);
	imageStore(inOut_fullSize,pixel_xy,vec4(0));
}