#version 430 core

layout(points) in;
layout(triangle_strip, max_vertices=4) out;

in vec2 vg_size[1];

out vec2 gf_texCoords;

void main(void)
{
	gl_Position = gl_in[0].gl_Position;
	gl_Position.xy -= vg_size[0];
	gf_texCoords = vec2(0.f,0.f);
	EmitVertex();

	gl_Position = gl_in[0].gl_Position;
	gl_Position.xy += vec2(vg_size[0].x, -vg_size[0].y);
	gf_texCoords = vec2(1.f, 0.f);
	EmitVertex();

	gl_Position = gl_in[0].gl_Position;
	gl_Position.xy += vec2(-vg_size[0].x, vg_size[0].y);
	gf_texCoords = vec2(0.f, 1.f);
	EmitVertex();

	gl_Position = gl_in[0].gl_Position;
	gl_Position.xy += vg_size[0];
	gf_texCoords = vec2(1.f,1.f);
	EmitVertex();
}