#version 330 core

layout(location=1) in vec3 position;
layout(location=4) in vec3 color;

uniform mat4 mvp;

out vec3 vf_color;

void main(void)
{
	gl_Position = mvp * vec4(position, 1.0f);
	vf_color = color;
}