#version 430 core

uniform sampler2D texture0; // slot 0

uniform vec2 offset_scaleBias = vec2(-0.7f, 1.5f);

in vec2 vf_texCoords;
in float vf_avgLuminance;

layout(location=0) out vec3 outColor;

void main(void)
{
	outColor = max(vec3(0.f), texture(texture0, vf_texCoords).rgb - vf_avgLuminance) * offset_scaleBias.y;
	outColor = min(outColor, vec3(3.f));
}