#version 430 core

layout(location=1) in vec3 position;
layout(location=3) in vec2 texCoords;

layout(binding=2) uniform sampler2D avgLuminanceTexture; // slot 2

out vec2 vf_texCoords;
out float vf_avgLuminance;

void main(void)
{
	gl_Position = vec4(position,1.0);
	vf_texCoords = texCoords;
	float avgSample = textureLod(avgLuminanceTexture, vec2(0.5,0.5), 99.f).a;
	vf_avgLuminance = 1.f + avgSample*avgSample*25.f;
	//vf_avgLuminance = exp(vf_avgLuminance);
}