#version 430 core

layout(location=1) in vec3 position;

layout(std140, binding=0) uniform WorldViewProjectionMatrixBlock {
	uniform mat4 worldViewProjectionMatrix[100];
};

noperspective out vec2 vf_ndcCoordinates;
flat out int vf_instanceID;

void main(void)
{
	gl_Position = worldViewProjectionMatrix[gl_InstanceID] * vec4(position, 1.f);
	vf_ndcCoordinates = gl_Position.xy / gl_Position.w;
	vf_instanceID = gl_InstanceID;
}