#version 430 core

layout(triangles) in;
layout(triangle_strip, max_vertices=3) out;

in vec4 vg_texCoords_layer[3];

out vec3 gf_texCoords;

void main(void)
{
	gl_Layer = int(vg_texCoords_layer[0].w);
	
	for (int i=0; i<3; i++)
	{
		gl_Position = gl_in[i].gl_Position;
		gf_texCoords = vg_texCoords_layer[i].xyz;
		EmitVertex();
	}
	EndPrimitive();
}