#version 430 core

layout(binding=4) uniform sampler2D avgLuminanceTexture; // slot 4

layout(location=1) in vec3 position;
layout(location=3) in vec2 texCoords;

out vec2 vf_texCoords;
out float vf_avgLuminance;

void main(void)
{
	gl_Position = vec4(position,1.0);
	vf_texCoords = texCoords;
	vf_avgLuminance = clamp(textureLod(avgLuminanceTexture, texCoords, 99.f).a,0.4f,1.f);
}