#version 430

in vec3 vf_color;

uniform float id;

layout(location=0) out vec4 outColor;
layout(location=1) out vec4 outID;

void main(void)
{
	ivec2 fragCoord = ivec2(gl_FragCoord.xy);
	outColor = vec4(vf_color, float((fragCoord.x & 1) ^ (fragCoord.y & 1)));
	outID = vec4(id,0.f,0.f,1.f);
}