#version 430 core

layout(points) in;
layout(triangle_strip, max_vertices = 24) out;

out vec3 viewDirection;

void main(void)
{
	// +x
	gl_Layer = 0;

	viewDirection = vec3( 1.f, 1.f, 1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f, 1.f,-1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f, 1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f,-1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();
	
	// -x
	gl_Layer = 1;

	viewDirection = vec3(-1.f, 1.f,-1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f, 1.f, 1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f,-1.f,-1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f,-1.f, 1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();

	// +y
	gl_Layer = 2;

	viewDirection = vec3(-1.f, 1.f,-1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f, 1.f,-1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f, 1.f, 1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f, 1.f, 1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();

	// -y
	gl_Layer = 3;

	viewDirection = vec3(-1.f,-1.f, 1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f, 1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f,-1.f,-1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f,-1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();

	// +z
	gl_Layer = 4;

	viewDirection = vec3(-1.f, 1.f, 1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f, 1.f, 1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f,-1.f, 1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f, 1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();

	// -z
	gl_Layer = 5;

	viewDirection = vec3( 1.f, 1.f,-1.f);
	gl_Position = vec4(-1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f, 1.f,-1.f);
	gl_Position = vec4( 1.f,-1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3( 1.f,-1.f,-1.f);
	gl_Position = vec4(-1.f, 1.f,0.f,1.f);
	EmitVertex();

	viewDirection = vec3(-1.f,-1.f,-1.f);
	gl_Position = vec4( 1.f, 1.f,0.f,1.f);
	EmitVertex();

	EndPrimitive();
}