#version 430 core

layout(location=0) in uint drawID;
layout(location=1) in vec3 position;

layout(std140, binding=0) uniform WorldMatrixBlock {
	uniform mat4 worldMatrix[500];
};

void main(void)
{
	gl_Position =  worldMatrix[drawID] * vec4(position, 1.f);
}